Products Related

Returns the responsible person of a product.

The matching is done using the name of the BoSS range responsible
and looking it up in LDAP. This lookup could potentially lead to zero
or more than one result. In the case of more than one result, the information
about the person may be incorrect. Be careful with the data output by this endpoint!

get
https://api-qual.migros.ch/migros/products/v8/products/{id}/responsible-person

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Product ID

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

Returned when successful

get/migros/products/v8/products/{id}/responsible-person
 

Returns the scale- and PLU number. The scale number is used by consumers in the store whereas the PLU number is used by the personnel at the open register.

Note: PLUs are unique within a region, you can therefore filter for a specific region (GET-param = plu_region).

get
https://api-qual.migros.ch/migros/products/v8/products/{id}/scale-number

Query Parameters

plu_regionstring

Get the plu for this region.

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ProductScaleNumber

The number to type on the scale in the store when weighing the specified product.

plu_numbersarray | null[object]

The number which butcher enters in scale/register for this product in the store.

Show Child Parameters
product_idstring | null

ID of the product.

scale_numberstring | null

Number to type on the scale when weighing this product in the store.

get/migros/products/v8/products/{id}/scale-number
 
application/json

Returns the sensory data of a single product.

Returns the sensory data of a single product.

get
https://api-qual.migros.ch/migros/products/v8/products/{id}/sensory-data

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

SensoryData

featuresarrayrequired
Show Child Parameters
imagesarray | null[object]

An image and its properties.

Show Child Parameters
product_idstringrequired
get/migros/products/v8/products/{id}/sensory-data
 
application/json

Returns stock data for the distribution centers (Verteilzentrum) about a product.

Returns stock data for the distribution centers (Verteilzentrum) about a product.

get
https://api-qual.migros.ch/migros/products/v8/products/{id}/stock-data

Path Parameters

idstringrequired

Product id for which to get stock data (slug not supported)

Response

application/json

Returned when successful

StockData

Information about the stock in the distribution centers (Verteilzentrum) from SAP.

distribution_centersarray[object]required
Show Child Parameters
product_idstringrequired

Sum of the effective quantities over all inventories.

Each EF value is floored before adding together.

total_quantityintegerrequired
get/migros/products/v8/products/{id}/stock-data
 
application/json

Returns a paged list of variants of the given product base or variant id.

Note that the variants end point does not support all parameters that the products end point
does. Only the parameters listed in the documentation are supported. Notably the region and
other price relevant things are not supported.

get
https://api-qual.migros.ch/migros/products/v8/products/{id}/variants

Query Parameters

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

custom_imageboolean

Whether to output the custom image format with placeholders for width and height.

Default:false

viewstring

Return specific set of products. Either ‘all’ (active and inactive/incomplete products), ‘browse’ (active products excluding Alnatura products), or ‘browseallretailers’ (active products including Alnatura products).

Allowed values:allbrowsebrowseallretailers

Default:browse

verbositystring

Verbosity of output. If not specified, outputs information usually needed on product lists. You can output a flat list of product ids with ‘id’.

Allowed values:id

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ProductCollection

A collection of Product instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

facetsobjectDEPRECATED

Facets array.

productsarray[object]required

Represents a product in the API.

Show Child Parameters
get/migros/products/v8/products/{id}/variants
 
application/json